package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;
import ${basePackage}.frame.excel.annotation.ExcelNote;
import ${basePackage}.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSheet;

/**
 * VISITOR - 应用接入
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
@ExcelSheet("应用接入")
public class Visitor extends BaseEntity {

    /**
     * APP_NAME - 应用名称
     */
    @ExcelProperty("应用名称")
    @ExcelNote("")
    private String appName;
    /**
     * APP_NOTE - 应用简介
     */
    @ExcelProperty("应用简介")
    @ExcelNote("")
    private String appNote;
    /**
     * APP_KEY - 应用码
     */
    @ExcelProperty("应用码")
    @ExcelNote("")
    private String appKey;
    /**
     * APP_SECRET - 安全码
     */
    @ExcelProperty("安全码")
    @ExcelNote("")
    private String appSecret;
    /**
     * VALID - 是否有效
     */
    @ExcelProperty("是否有效")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean valid;

    public String getAppName() {
        return this.appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppNote() {
        return this.appNote;
    }

    public void setAppNote(String appNote) {
        this.appNote = appNote;
    }

    public String getAppKey() {
        return this.appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return this.appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}